<?php

	include('include/entete.php');

	if(isset($_POST['myaction']) && !empty($_POST['myaction']) && $_POST['myaction']=='agendaSelect'){
		
		foreach ($_POST as $k => $v){
			$$k = $v;
			//echo $k.' => '.$v.'<br>';
		}
		
	}else{
		header('location:./');
		exit();
	}

	if(isset($_GET['mydate']) && !empty($_GET['mydate'])){
		$mydate = $_GET['mydate'];
	}

	include('config/config.inc.php');
	include('config/lib.inc.php');
	include('include/agenda.inc.php');

	$maCleDeCryptage = getCleDeCryptage();	
	
	//Affiche les infos du CFA
	$query="
		SELECT * from eta 
		WHERE id_eta=:num_eta
	";
	$db = connect_base();
	$queryRequest = $db->prepare( $query );
	$queryRequest->bindParam( ':num_eta', $ncfa, PDO::PARAM_INT );
	$queryRequest->execute();
	$dataCfa=$queryRequest->fetchAll();
	$countCfa = $queryRequest->rowCount();
	if($countCfa!=1){	//CFA introuvable
		header('location:./');
		exit();
	}
	$nomEta = $dataCfa[0]['nom_eta'];	

	if($mycreneau == 'am')	$creneauTitle = $arrCreneauxSolTitle[0];	else	$creneauTitle = $arrCreneauxSolTitle[1];

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>FAFIH - DECIDAY</title>
<script type="text/javascript" src="js/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>
<script type="text/javascript" src="js/fonctions.js"></script>
<link href="css/bootstrap.min.css" rel="stylesheet" type="text/css">
<link href="css/style.css" rel="stylesheet" type="text/css">
<script>
	
	jQuery(document).ready(function(){

		<?php
		if(isset($_SESSION['msg']) && !empty($_SESSION['msg'])){
			?>
		alert('<?php print addslashes($_SESSION['msg']);?>');
		<?php
			$_SESSION['msg']="";
		}
		?>
		
		document.frmReserv.etaCoLy.focus();

	});
	
	function validReservAg(){
		if(document.frmReserv.etaCoLy.value==""){
			alert('Merci de renseigner l\'établissement.');
			document.frmReserv.etaCoLy.focus();
			return false;
		}
		if(document.frmReserv.nomCoLy.value==""){
			alert('Merci de renseigner le nom.');
			document.frmReserv.nomCoLy.focus();
			return false;
		}
		if(document.frmReserv.prenomCoLy.value==""){
			alert('Merci de renseigner le prénom.');
			document.frmReserv.prenomCoLy.focus();
			return false;
		}
		if(document.frmReserv.fonctionCoLy.value==""){
			alert('Merci de renseigner la fonction.');
			document.frmReserv.fonctionCoLy.focus();
			return false;
		}
		if(!checkFormTel('document.frmReserv.telCoLy','T','La ligne directe',1)){
			return false;
		}
		if(!verifmail('document.frmReserv.emlCoLy',1)){
			return false;
		}
		if(document.frmReserv.adresse1CoLy.value==""){
			alert('Merci de renseigner au moins la première ligne d\'adresse.');
			document.frmReserv.adresse1CoLy.focus();
			return false;
		}
		if(document.frmReserv.cpCoLy.value==""){
			alert('Merci de renseigner le code postal.');
			document.frmReserv.cpCoLy.focus();
			return false;
		}
		if(document.frmReserv.villeCoLy.value==""){
			alert('Merci de renseigner la ville.');
			document.frmReserv.villeCoLy.focus();
			return false;
		}
		var nbC = 1;
		if(!CheckNombreEntier(document.frmReserv.nbClasses.value))	nbC=0;
		else if(document.frmReserv.nbClasses.value==0)		nbC=0;
		if(nbC!=1){
			alert('Merci de renseigner le nombre de classes.');
			document.frmReserv.nbClasses.focus();
			return false;
		}
		var nbE = 1;
		if(!CheckNombreEntier(document.frmReserv.nbEleves.value))	nbE=0;
		else if(document.frmReserv.nbEleves.value==0)		nbE=0;
		if(nbE!=1){
			alert('Merci de renseigner le nombre d\'élèves.');
			document.frmReserv.nbEleves.focus();
			return false;
		}
		return true;
	}	
	function reservAg(){
		if(validReservAg()) document.frmReserv.submit();
	}
	
</script>
																			
</head>

<body>
	<?php include('include/header.php');?>
	
	<div class="container contentPage">

		<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs bgTitrePage"></div>
		<div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 titreContenuPage">Collèges, Lycées<br />Réservez la date pour la venue d'un trinôme au sein de votre établissement  :</div>
		<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs bgTitrePage"></div>
		<div class="clearfix"></div>
		
		<div class="headerCap" style="text-align: center; margin:18px 0 12px;">
			<b>CFA sélectionné :</b> <br /><span class="ssTitreViolet"><b><?php echo decrypter($maCleDeCryptage,$dataCfa[0]['nom_eta']);?></b></span><br />
			<?php if(!empty($mydate))	echo '<b>Date Souhaitée :</b><br /> <span class="ssTitreViolet">'.MysqlToDateFr($mydate).'</span><br />'.$creneauTitle; ?><br />
			<br />Merci de sélectionner un créneau parmi les disponibilités ci-dessous : <br />
		</div>
		
		<form name="frmReserv" method="post" action="sollicitation-actions.php" id="frmReserv">
			
			<input type="hidden" name="myAction" value="agendaForm">
			<input type="hidden" name="mydate" value="<?php echo $_POST['mydate']; ?>">
			<input type="hidden" name="mycreneau" value="<?php echo $_POST['mycreneau']; ?>">
			<input type="hidden" name="ncfa" value="<?php echo $ncfa; ?>" />

			<div class="labFrm">Etablissement<sup class="obligatory">*</sup> :</div><input type="text" name="etaCoLy" id="etaCoLy" /><br />
			<div class="labFrm">Nom<sup class="obligatory">*</sup> :</div><input type="text" name="nomCoLy" id="nomCoLy" /><br />
			<div class="labFrm">Prénom<sup class="obligatory">*</sup> :</div><input type="text" name="prenomCoLy" id="prenomCoLy" /><br />
			<div class="labFrm">Fonction<sup class="obligatory">*</sup> :</div><input type="text" name="fonctionCoLy" id="fonctionCoLy" /><br />
			<div class="labFrm">Ligne Directe<sup class="obligatory">*</sup> :</div><input type="text" name="telCoLy" id="telCoLy" /><br />
			<div class="labFrm">E-mail<sup class="obligatory">*</sup> :</div><input type="text" name="emlCoLy" id="emlCoLy" /><br />
			<div class="labFrm">Adresse 1<sup class="obligatory">*</sup> :</div><input type="text" name="adresse1CoLy" id="adresse1CoLy" /><br />
			<div class="labFrm">Adresse 2 :</div><input type="text" name="adresse2CoLy" id="adresse2CoLy" /><br />
			<div class="labFrm">Code Postal<sup class="obligatory">*</sup> :</div><input type="text" name="cpCoLy" id="cpCoLy" /><br />
			<div class="labFrm">Ville<sup class="obligatory">*</sup> :</div><input type="text" name="villeCoLy" id="villeCoLy" /><br />
			<div class="labFrm">Nombre de classes<sup class="obligatory">*</sup> :</div><input type="text" name="nbClasses" id="nbClasses" /><br />
			<div class="labFrm">Nombre total d'élèves concernés<sup class="obligatory">*</sup> :</div><input type="text" name="nbEleves" id="nbEleves" /><br />
			<div class="labFrm">Commentaires  :</div><textarea name="commentCoLy" id="commentCoLy" /></textarea><br /><br />
			<div class="btnDeci"><a href="javascript:void(0);" onClick="reservAg()">Envoyer</a></div>
			<div style="height: 20px;"></div>
			<div class="btnDeci"><a href="sollicitation-agenda.php?ncfa=<?php echo $ncfa; ?>">Retour</a></div>
		</form>
		
	</div>
	
	<?php include('include/footer.php');?>
</body>
</html>